Summary: Throttleable lightweight httpd server
Name: thttpd
Version: 2.16
Release: 10
Group: System Environment/Daemons
URL: http://www.acme.com/software/thttpd
Source0: http://www.acme.com/software/thttpd/thttpd-%{version}.tar.gz
Source1: thttpd.init
Patch0: Makefile.patch
Copyright: distributable (BSD)
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}
PreReq: /sbin/chkconfig , /sbin/service

%description
Thttpd is a very compact no-frills httpd serving daemon that can handle
very high loads.  While lacking many of the advanced features of
Apachee, thttpd operates without forking and is extremely efficient in
memory use.  Basic support for cgi scripts, authentication, and ssi is
provided for.  Advanced features include the ability to throttle traffic.

%prep

%setup -q
%patch0 -p1 -b .tim

%build
%configure
CFLAGS=$RPM_OPT_FLAGS make WEBDIR=/var/thttpd BINDIR=%{_prefix}/sbin prefix=%{_prefix} CGIBINDIR=/var/thttpd/cgi-bin WEBGROUP=thttpd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/thttpd/cgi-bin

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m0755 $RPM_SOURCE_DIR/thttpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/thttpd

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{,8,1}
mkdir -p $RPM_BUILD_ROOT/usr/sbin

make WEBGROUP=thttpd WEBDIR=$RPM_BUILD_ROOT/var/thttpd CGIBINDIR=$RPM_BUILD_ROOT/var/thttpd/cgi-bin DESTDIR=$RPM_BUILD_ROOT install


%pre
/usr/sbin/useradd -d /var/thttpd -u 72 thttpd 

%post
/sbin/chkconfig --add thttpd

%preun
if [ "$1" = "0" ]; then
	/sbin/service thttpd stop > /dev/null 2>&1
	/sbin/chkconfig --del thttpd
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service thttpd condrestart > /dev/null 2>&1
else
	/usr/sbin/userdel thttpd
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FILES README INSTALL TODO
%config /etc/rc.d/init.d/thttpd
%attr(-,bin,bin)/usr/sbin/thttpd
%attr(-,root,thttpd)/usr/sbin/makeweb
/usr/sbin/htpasswd
/usr/sbin/syslogtocern
%attr(-,thttpd,thttpd)/var/thttpd/cgi-bin
%{_mandir}/*/*

%changelog
* Fri Jul 28 2000 Than Ngo <than@redhat.de>
- add missing restart function in startup script
- use %%{_tmppath}

* Fri Jul 28 2000 Tim Powers <timp@redhat.com>
- fixed initscript so condrestart doesn't return 1 when the test fails

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Tim Powers <timp@redhat.com>
- built against glibc-2.1.91-15

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- inoits back to rc.d/init.d. Using /sbi/service to start/stop inits

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jul 06 2000 Tim Powers <timp@redhat.com>
- fixed PreReq to PreReq /etc/init.d

* Tue Jun 27 2000 Tim Powers <timp@redhat.com>
- fixed init script so it has condrestart, reworked the whole thing a bit
- fixed init.d location so that it is FHSized
- added PreReq

* Fri Jun 2 2000 Tim Powers <timp@redhat.com>
- fixed so that we no longer create a home dir and place stuff under /home,
  now in /var/thttpd

* Mon May 22 2000 Tim Powers <timp@redhat.com>
- updated to 2.16
- use %configure
- man pages in /usr/share/man

* Thu Dec 16 1999 Tim Powers <timp@redhat.com>
- based on spec file in Contrib|Net
- major spec file cleanups, reorg, too many to mention
- initial build for Powertools
- made init script chkconfig compliant
